Index: /extensions/rv_menutree/tags/2.1.b/changelog.txt
===================================================================
--- /extensions/rv_menutree/tags/2.1.b/changelog.txt	(revision 7846)
+++ /extensions/rv_menutree/tags/2.1.b/changelog.txt	(revision 7846)
@@ -0,0 +1,11 @@
+2.1.b
+	- themes can define their own rv_menutree_categories.tpl
+	- improved javascript (faster, async loading in browser, better compressed zith google closure compiler)
+
+2.1.a
+	- compatibility with piwigo 2.1
+
+2.0.c
+	- optimizations by calling make_index_url less frequently
+	- compatible with IE8
+
Index: /extensions/rv_menutree/tags/2.1.b/index.php
===================================================================
--- /extensions/rv_menutree/tags/2.1.b/index.php	(revision 7846)
+++ /extensions/rv_menutree/tags/2.1.b/index.php	(revision 7846)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/rv_menutree/tags/2.1.b/js/index.php
===================================================================
--- /extensions/rv_menutree/tags/2.1.b/js/index.php	(revision 7846)
+++ /extensions/rv_menutree/tags/2.1.b/js/index.php	(revision 7846)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 3572 2009-07-13 05:09:02Z rvelices $
+// | last update   : $Date: 2009-07-13 07:09:02 +0200 (lun., 13 juil. 2009) $
+// | last modifier : $Author: rvelices $
+// | revision      : $Revision: 3572 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/rv_menutree/tags/2.1.b/js/rvtree-min.js
===================================================================
--- /extensions/rv_menutree/tags/2.1.b/js/rvtree-min.js	(revision 7846)
+++ /extensions/rv_menutree/tags/2.1.b/js/rvtree-min.js	(revision 7846)
@@ -0,0 +1,4 @@
+var XElement={hasClass:function(b,e){if(!b)return false;var f=b.className;return f.length>0&&(f==e||(new RegExp("(^|\\s)"+e+"(\\s|$)")).test(f))},addClass:function(b,e){if(b){XElement.hasClass(b,e)||(b.className+=(b.className?" ":"")+e);return b}},toggleClasses:function(b,e,f){if(b){for(var a=b.className.split(/\s+/),g=-1,c=-1,d=0;d<a.length;d++){if(a[d]==e)g=d;if(a[d]==f)c=d}if(g>=0){a.splice(g,1);c>=g&&c--}else a.push(e);c>=0?a.splice(c,1):a.push(f);b.className=a.join(" ");return b}}},RVTree={options:{nodeClosedClass:"liClosed",
+nodeOpenClass:"liOpen",nodeBulletClass:"liBullet",nodeLinkClass:"bullet"},convertTree:function(b){if(document.createElement){if(window.attachEvent&&!window.opera)if(/MSIE ([0-9]{1,}[.0-9]{0,})/.exec(navigator.userAgent)!=null)RVTree.options.IEVersion=parseFloat(RegExp.$1);RVTree._processList(b,true)}},_processList:function(b,e){if(!(!b.childNodes||b.childNodes.length==0)){for(var f=0;f<b.childNodes.length;f++){var a=b.childNodes[f];if(a.nodeName=="LI"){for(var g=false,c=0;c<a.childNodes.length;c++){var d=
+a.childNodes[c];if(d.nodeName=="UL"){g=true;RVTree._processList(d,false)}}c=document.createElement("SPAN");d="\u00a0";c.className=RVTree.options.nodeLinkClass;if(g){XElement.hasClass(a,RVTree.options.nodeOpenClass)||XElement.addClass(a,RVTree.options.nodeClosedClass);if(a.firstChild.nodeName=="#text"){d+=a.firstChild.nodeValue;a.removeChild(a.firstChild)}c.onclick=function(){XElement.toggleClasses(this.parentNode,RVTree.options.nodeOpenClass,RVTree.options.nodeClosedClass);return false}}else if(XElement.hasClass(a,
+RVTree.options.nodeClosedClass))c.onclick=function(){var h=this.parentNode.getElementsByTagName("A");if(h.length)document.location=h[0].href};else XElement.addClass(a,RVTree.options.nodeBulletClass);a.style.listStyleType="none";if(e&&RVTree.options.IEVersion&&RVTree.options.IEVersion<8)a.style.marginLeft="-16px";if(c){c.appendChild(document.createTextNode(d));a.insertBefore(c,a.firstChild)}}}b.style.marginLeft=0;b.style.paddingLeft=e?0:"8px"}}};typeof rvTreeAutoConvert!="undefined"&&RVTree.convertTree(rvTreeAutoConvert);
Index: /extensions/rv_menutree/tags/2.1.b/js/rvtree.js
===================================================================
--- /extensions/rv_menutree/tags/2.1.b/js/rvtree.js	(revision 7846)
+++ /extensions/rv_menutree/tags/2.1.b/js/rvtree.js	(revision 7846)
@@ -0,0 +1,143 @@
+/* this is not directly used - compress it as rvtree-min.js on http://javascriptcompressor.com/ or http://closure-compiler.appspot.com
+Based on Matt Kruse <matt@mattkruse.com> http://www.mattkruse.com/ */
+var XElement = {
+	hasClass: function(element, className) {
+		if (!element) return false;
+		var elementClassName = element.className;
+		return ( elementClassName.length > 0 && (elementClassName == className ||
+						new RegExp("(^|\\s)" + className + "(\\s|$)").test(elementClassName)) );
+	},
+
+	addClass: function(element, className) {
+		if (!element) return;
+		if (!XElement.hasClass(element, className))
+				element.className += (element.className ? ' ' : '') + className;
+		return element;
+	},
+
+	toggleClasses: function(element, class1, class2) {
+		if (!element) return;
+		var classNames = element.className.split(/\s+/);
+		var i1=-1, i2=-1;
+		for (var i=0; i<classNames.length; i++)
+		{
+				if (classNames[i]==class1) i1=i;
+				if (classNames[i]==class2) i2=i;
+		}
+		if (i1>=0)
+		{
+				classNames.splice(i1,1);
+				if (i2>=i1)
+						i2--;
+		}
+		else
+				classNames.push(class1);
+	 
+		if (i2>=0)
+				classNames.splice(i2,1);
+		else
+				classNames.push(class2);
+		element.className = classNames.join(' ');
+		return element;
+	}
+};
+
+var RVTree =
+{
+	options :
+	{
+		nodeClosedClass: "liClosed",
+		nodeOpenClass: "liOpen",
+		nodeBulletClass: "liBullet",
+		nodeLinkClass: "bullet"
+	},
+
+	convertTree: function (root)
+	{
+		if (!document.createElement)
+			return; // Without createElement, we can't do anything
+		if (window.attachEvent && !window.opera)
+		{
+			if ( new RegExp("MSIE ([0-9]{1,}[\.0-9]{0,})").exec( navigator.userAgent ) != null )
+				RVTree.options.IEVersion = parseFloat( RegExp.$1 );
+		}
+		RVTree._processList(root, true);
+	},
+
+	_processList: function(ul, isRoot)
+	{
+		if (!ul.childNodes || ul.childNodes.length==0) 
+			return;
+
+		for (var i=0; i<ul.childNodes.length; i++)
+		{ //Iterate LIs
+			var item = ul.childNodes[i];
+			if (item.nodeName != "LI")
+				continue;
+
+			// Iterate things in this LI
+			var subLists = false;
+			for (var sitemi=0;sitemi<item.childNodes.length;sitemi++)
+			{
+				var sitem = item.childNodes[sitemi];
+				if (sitem.nodeName=="UL")
+				{
+					subLists = true;
+					RVTree._processList(sitem, false);
+				}
+			}
+
+			var s= document.createElement("SPAN");
+			var t= '\u00A0'; // &nbsp;
+			s.className = RVTree.options.nodeLinkClass;
+			if (subLists)
+			{
+				// This LI has UL's in it, so it's a +/- node
+				if ( !XElement.hasClass(item, RVTree.options.nodeOpenClass) )
+					XElement.addClass(item, RVTree.options.nodeClosedClass);
+
+				// If it's just text, make the text work as the link also
+				if (item.firstChild.nodeName=="#text")
+				{
+					t = t+item.firstChild.nodeValue;
+					item.removeChild(item.firstChild);
+				}
+				s.onclick = function ()
+				{
+					XElement.toggleClasses(this.parentNode, RVTree.options.nodeOpenClass, RVTree.options.nodeClosedClass );
+					return false;
+				}
+			}
+			else
+			{// No sublists
+				if ( XElement.hasClass(item, RVTree.options.nodeClosedClass) )
+				{
+					s.onclick = function()
+					{
+						var nodes = this.parentNode.getElementsByTagName("A");
+						if (nodes.length)
+							document.location = nodes[0].href;
+					}
+				}
+				else
+					XElement.addClass(item, RVTree.options.nodeBulletClass);
+			}
+
+			item.style.listStyleType='none';
+			if (isRoot && RVTree.options.IEVersion && RVTree.options.IEVersion < 8)
+				item.style.marginLeft="-16px"; // thats IE6,IE7 ; IE8 seems more compliant
+			if (s)
+			{
+				s.appendChild(document.createTextNode(t));
+				item.insertBefore(s,item.firstChild);
+			}
+		}
+		ul.style.marginLeft = 0;
+		ul.style.paddingLeft = isRoot ? 0 : "8px";
+	}
+}
+
+if ( typeof rvTreeAutoConvert != 'undefined')
+{
+	RVTree.convertTree( rvTreeAutoConvert );
+}
Index: /extensions/rv_menutree/tags/2.1.b/language/de_DE/description.txt
===================================================================
--- /extensions/rv_menutree/tags/2.1.b/language/de_DE/description.txt	(revision 7846)
+++ /extensions/rv_menutree/tags/2.1.b/language/de_DE/description.txt	(revision 7846)
@@ -0,0 +1,1 @@
+Ersetzt die Kategorien in der Menüleiste mit einem schöneren (JavaScript).
Index: /extensions/rv_menutree/tags/2.1.b/language/de_DE/index.php
===================================================================
--- /extensions/rv_menutree/tags/2.1.b/language/de_DE/index.php	(revision 7846)
+++ /extensions/rv_menutree/tags/2.1.b/language/de_DE/index.php	(revision 7846)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/rv_menutree/tags/2.1.b/language/en_UK/description.txt
===================================================================
--- /extensions/rv_menutree/tags/2.1.b/language/en_UK/description.txt	(revision 7846)
+++ /extensions/rv_menutree/tags/2.1.b/language/en_UK/description.txt	(revision 7846)
@@ -0,0 +1,1 @@
+﻿Replaces the categories in the menu bar with a nicer one (javascript).
Index: /extensions/rv_menutree/tags/2.1.b/language/en_UK/index.php
===================================================================
--- /extensions/rv_menutree/tags/2.1.b/language/en_UK/index.php	(revision 7846)
+++ /extensions/rv_menutree/tags/2.1.b/language/en_UK/index.php	(revision 7846)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 4192 2009-11-05 11:48:31Z ddtddt $
+// | last update   : $Date: 2009-11-05 12:48:31 +0100 (jeu., 05 nov. 2009) $
+// | last modifier : $Author: ddtddt $
+// | revision      : $Revision: 4192 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/rv_menutree/tags/2.1.b/language/es_ES/description.txt
===================================================================
--- /extensions/rv_menutree/tags/2.1.b/language/es_ES/description.txt	(revision 7846)
+++ /extensions/rv_menutree/tags/2.1.b/language/es_ES/description.txt	(revision 7846)
@@ -0,0 +1,1 @@
+Sustituye las categorías en la barra de menú con uno más agradable (javascript).
Index: /extensions/rv_menutree/tags/2.1.b/language/es_ES/index.php
===================================================================
--- /extensions/rv_menutree/tags/2.1.b/language/es_ES/index.php	(revision 7846)
+++ /extensions/rv_menutree/tags/2.1.b/language/es_ES/index.php	(revision 7846)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/rv_menutree/tags/2.1.b/language/fr_FR/description.txt
===================================================================
--- /extensions/rv_menutree/tags/2.1.b/language/fr_FR/description.txt	(revision 7846)
+++ /extensions/rv_menutree/tags/2.1.b/language/fr_FR/description.txt	(revision 7846)
@@ -0,0 +1,1 @@
+Améliore l'affichage des catégories du menu (javascript).
Index: /extensions/rv_menutree/tags/2.1.b/language/fr_FR/index.php
===================================================================
--- /extensions/rv_menutree/tags/2.1.b/language/fr_FR/index.php	(revision 7846)
+++ /extensions/rv_menutree/tags/2.1.b/language/fr_FR/index.php	(revision 7846)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 4192 2009-11-05 11:48:31Z ddtddt $
+// | last update   : $Date: 2009-11-05 12:48:31 +0100 (jeu., 05 nov. 2009) $
+// | last modifier : $Author: ddtddt $
+// | revision      : $Revision: 4192 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/rv_menutree/tags/2.1.b/language/index.php
===================================================================
--- /extensions/rv_menutree/tags/2.1.b/language/index.php	(revision 7846)
+++ /extensions/rv_menutree/tags/2.1.b/language/index.php	(revision 7846)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 3572 2009-07-13 05:09:02Z rvelices $
+// | last update   : $Date: 2009-07-13 07:09:02 +0200 (lun., 13 juil. 2009) $
+// | last modifier : $Author: rvelices $
+// | revision      : $Revision: 3572 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/rv_menutree/tags/2.1.b/language/it_IT/description.txt
===================================================================
--- /extensions/rv_menutree/tags/2.1.b/language/it_IT/description.txt	(revision 7846)
+++ /extensions/rv_menutree/tags/2.1.b/language/it_IT/description.txt	(revision 7846)
@@ -0,0 +1,1 @@
+Migliora la visualizzazione delle categorie del menu (javascript).
Index: /extensions/rv_menutree/tags/2.1.b/language/it_IT/index.php
===================================================================
--- /extensions/rv_menutree/tags/2.1.b/language/it_IT/index.php	(revision 7846)
+++ /extensions/rv_menutree/tags/2.1.b/language/it_IT/index.php	(revision 7846)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 4192 2009-11-05 11:48:31Z ddtddt $
+// | last update   : $Date: 2009-11-05 12:48:31 +0100 (jeu., 05 nov. 2009) $
+// | last modifier : $Author: ddtddt $
+// | revision      : $Revision: 4192 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/rv_menutree/tags/2.1.b/language/ja_JP/description.txt
===================================================================
--- /extensions/rv_menutree/tags/2.1.b/language/ja_JP/description.txt	(revision 7846)
+++ /extensions/rv_menutree/tags/2.1.b/language/ja_JP/description.txt	(revision 7846)
@@ -0,0 +1,1 @@
+メニューに属するカテゴリーをきれいなものを置き換える。 (javascript)。
Index: /extensions/rv_menutree/tags/2.1.b/language/ja_JP/index.php
===================================================================
--- /extensions/rv_menutree/tags/2.1.b/language/ja_JP/index.php	(revision 7846)
+++ /extensions/rv_menutree/tags/2.1.b/language/ja_JP/index.php	(revision 7846)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/rv_menutree/tags/2.1.b/language/sk_SK/description.txt
===================================================================
--- /extensions/rv_menutree/tags/2.1.b/language/sk_SK/description.txt	(revision 7846)
+++ /extensions/rv_menutree/tags/2.1.b/language/sk_SK/description.txt	(revision 7846)
@@ -0,0 +1,1 @@
+Prepísanie kategórií v menu krajším (javascript).
Index: /extensions/rv_menutree/tags/2.1.b/language/sk_SK/index.php
===================================================================
--- /extensions/rv_menutree/tags/2.1.b/language/sk_SK/index.php	(revision 7846)
+++ /extensions/rv_menutree/tags/2.1.b/language/sk_SK/index.php	(revision 7846)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/rv_menutree/tags/2.1.b/main.inc.php
===================================================================
--- /extensions/rv_menutree/tags/2.1.b/main.inc.php	(revision 7846)
+++ /extensions/rv_menutree/tags/2.1.b/main.inc.php	(revision 7846)
@@ -0,0 +1,49 @@
+<?php /*
+Plugin Name: RV Menu Tree
+Version: 2.1.b
+Plugin URI: http://piwigo.org/ext/extension_view.php?eid=238
+Description: Replaces the categories in the menu bar with a nicer one (javascript).
+Author: rvelices
+Author URI: http://www.modusoptimus.com
+*/
+
+add_event_handler('get_categories_menu_sql_where', 'rv_mt_get_categories_menu_sql_where', EVENT_HANDLER_PRIORITY_NEUTRAL, 3 );
+
+function rv_mt_get_categories_menu_sql_where($where, $expand, $filter)
+{
+	add_event_handler('blockmanager_apply', 'rv_mt_menubar_categories');
+
+	if ($expand or $filter)
+		return $where;
+
+	global $page;
+	if ( !isset($page['category']) )
+		$where = 'id_uppercat IS NULL OR uppercats REGEXP \'^[0-9]+,[0-9]+$\'';
+	else
+	{
+		$where = 'id_uppercat is NULL
+  OR uppercats LIKE "'.$page['category']['upper_names'][0]['id'].',%"
+  OR uppercats REGEXP \'^[0-9]+,[0-9]+$\'';
+	}
+	return $where;
+}
+
+function rv_mt_menubar_categories($menu_ref_arr)
+{
+	$menu = & $menu_ref_arr[0];
+
+	if (($block = $menu->get_block('mbCategories')) != null)
+	{
+		global $template, $page;
+
+		$rvmt_base_name  = basename(dirname(__FILE__));
+		$template->set_template_dir(PHPWG_ROOT_PATH.'plugins/'.$rvmt_base_name.'/template/');
+		$template->assign(array(
+			'RVMT_BASE_NAME' => $rvmt_base_name,
+			'RVMT_UPPER_IDS' => isset($page['category']['uppercats']) ? array_flip( explode(',', $page['category']['uppercats'])) : null,
+			)
+		);
+		$block->template = 'rv_menutree_categories.tpl';
+	}
+}
+?>
Index: /extensions/rv_menutree/tags/2.1.b/template/index.php
===================================================================
--- /extensions/rv_menutree/tags/2.1.b/template/index.php	(revision 7846)
+++ /extensions/rv_menutree/tags/2.1.b/template/index.php	(revision 7846)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 3572 2009-07-13 05:09:02Z rvelices $
+// | last update   : $Date: 2009-07-13 07:09:02 +0200 (lun., 13 juil. 2009) $
+// | last modifier : $Author: rvelices $
+// | revision      : $Revision: 3572 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/rv_menutree/tags/2.1.b/template/rv_menutree_categories.tpl
===================================================================
--- /extensions/rv_menutree/tags/2.1.b/template/rv_menutree_categories.tpl	(revision 7846)
+++ /extensions/rv_menutree/tags/2.1.b/template/rv_menutree_categories.tpl	(revision 7846)
@@ -0,0 +1,70 @@
+{html_head}
+<style type="text/css">
+.rvTree li .bullet {ldelim}padding-left:14px;margin-left:0;background:url({$ROOT_URL}plugins/{$RVMT_BASE_NAME}/img/bpm.gif) no-repeat scroll;}
+.rvTree li.liOpen .bullet {ldelim}cursor:pointer;background-position:-38px center;}
+.rvTree li.liClosed .bullet {ldelim}cursor:pointer;background-position:-19px center;}
+.rvTree li.liBullet .bullet {ldelim}cursor:default;background-position:0 center;}
+.rvTree li.liClosed ul {ldelim}display:none;}
+</style>
+{/html_head}
+<dt>
+  {if isset($U_START_FILTER)}
+  <a href="{$U_START_FILTER}" title="{'display only recently posted images'|@translate}" rel="nofollow"><img src="{$ROOT_URL}{$themeconf.icon_dir}/start_filter.png" class="button" alt="start filter"></a>
+  {/if}
+  {if isset($U_STOP_FILTER)}
+  <a href="{$U_STOP_FILTER}" title="{'return to the display of all images'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/stop_filter.png" class="button" alt="stop filter"></a>
+  {/if}
+	<a href="{$block->data.U_CATEGORIES}">{'Categories'|@translate}</a>
+</dt>
+<dd>
+{assign var='ref_level' value=0}
+{foreach from=$block->data.MENU_CATEGORIES item=cat key=key}
+	{if $cat.LEVEL > $ref_level}
+		{if $ref_level == 0}
+			<ul class="rvTree" id="theCategoryMenu">
+		{else}
+			<ul>
+		{/if}
+	{else}
+	</li>
+	{'</ul></li>'|@str_repeat:$ref_level-$cat.LEVEL}
+	{/if}
+	{if $cat.SELECTED}
+		{assign var=liclass value='selected '}
+	{else}
+		{assign var=liclass value=''}
+	{/if}
+	{if $cat.count_categories > 0}
+		{if isset($U_STOP_FILTER) or isset($RVMT_UPPER_IDS[$cat.id])}
+			{assign var=liclass value=$liclass|@cat:'liOpen'}
+		{else}
+			{assign var=liclass value=$liclass|@cat:'liClosed'}
+		{/if}
+	{/if}
+	<li{if !empty($liclass)} class="{$liclass}"{/if}>
+		<a href="{$cat.URL}" {if $cat.IS_UPPERCAT}rel="up"{/if}>{$cat.NAME}</a>
+		{if $cat.count_images > 0}
+		<span class="{if $cat.nb_images > 0}menuInfoCat{else}menuInfoCatByChild{/if}" title="{$cat.TITLE}">[{$cat.count_images}]</span>
+		{/if}
+		{if !empty($cat.icon_ts)}
+		<img title="{$cat.icon_ts.TITLE}" src="{$ROOT_URL}{$themeconf.icon_dir}/recent{if $cat.icon_ts.IS_CHILD_DATE}_by_child{/if}.png" class="icon" alt="(!)">
+		{/if}
+	{assign var='ref_level' value=$cat.LEVEL}
+{/foreach}
+{'</li></ul>'|@str_repeat:$ref_level}
+<script type="text/javascript">
+	rvTreeAutoConvert = document.getElementById("theCategoryMenu");
+	(function () {ldelim}
+	var s = document.createElement('script'); s.type = 'text/javascript'; s.async = true; s.src = '{$ROOT_URL}plugins/{$RVMT_BASE_NAME}/js/rvtree-min.js';
+	var s0 = document.getElementsByTagName('script')[0]; s0.parentNode.insertBefore(s, s0);
+	})();
+</script>
+	{if isset($block->data.U_UPLOAD)}
+	<ul>
+		<li>
+			<a href="{$block->data.U_UPLOAD}">{'Upload a picture'|@translate}</a>
+		</li>
+	</ul>
+	{/if}
+	<p class="totalImages">{$pwg->l10n_dec('%d image', '%d images', $block->data.NB_PICTURE)}</p>
+</dd>
